For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AI agentsStatus PageContact sales
HomeGuidesDeveloper ToolsChangelogsCookbooks
HomeGuidesDeveloper ToolsChangelogsCookbooks
    • Payabli developer overview
    • Developer quickstart
    • Developer testing guide
    • Test accounts
  • API
    • Using the API
    • API responses
    • API changelog
          • POSTCreate payment link from invoice
          • POSTCreate payment link from bill
          • GETGet payment link
          • POSTSend payment link
          • PUTUpdate payment link
          • GETRefresh payment link
          • DELDelete payment link
          • GETEmail payment link
          • POSTGenerate vendor link for lot number
          • PATCHUpdate Pay Out payment link
          • PATCHUpdate Pay Out payment link content
    • Webhooks
  • Embedded Components
    • Overview
    • EmbeddedMethod UI
    • PayMethod UI
    • VirtualTerminal UI
    • ExpressCheckout UI
    • Changelog
  • Server SDKs
    • Server SDKs overview
  • Other tools
    • Postman collection
    • Payabli MCP
    • Example apps

© 2026 Centavo, Inc. All rights reserved | Centavo (DBA Payabli) is a registered Payment Facilitator of PNC Bank, N.A., Pittsburgh, PA. Payabli is a registered ISO/MSP of Merrick Bank, South Jordan, UT.

PayabliTest Cards & AccountsPay In StatusesPay Out StatusesTrust Center
LogoLogo
AI agentsStatus PageContact sales
APICross-product endpointsPayment links

Create payment link from bill

|View as Markdown|Open in Claude|
POST
/PaymentLink/bill/:billId
POST
/api/PaymentLink/bill/:billId
$curl -X POST "https://api-sandbox.payabli.com/api/PaymentLink/bill/54323?mail2=jo%40example.com%3B%20ceo%40example.com" \
> -H "requestToken: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "contactUs": {
> "emailLabel": "Email",
> "enabled": true,
> "header": "Contact Us",
> "order": 0,
> "paymentIcons": true,
> "phoneLabel": "Phone"
> },
> "logo": {
> "enabled": true,
> "order": 0
> },
> "messageBeforePaying": {
> "enabled": true,
> "label": "Please review your payment details",
> "order": 0
> },
> "notes": {
> "enabled": true,
> "header": "Additional Notes",
> "order": 0,
> "placeholder": "Enter any additional notes here",
> "value": ""
> },
> "page": {
> "description": "Get paid securely",
> "enabled": true,
> "header": "Payment Page",
> "order": 0
> },
> "paymentButton": {
> "enabled": true,
> "label": "Pay Now",
> "order": 0
> },
> "paymentMethods": {
> "allMethodsChecked": true,
> "allowMultipleMethods": true,
> "defaultMethod": "vcard",
> "enabled": true,
> "header": "Payment Methods",
> "methods": {
> "ach": true,
> "check": true,
> "vcard": true
> },
> "order": 0,
> "showPreviewVirtualCard": true
> },
> "review": {
> "enabled": true,
> "header": "Review Payment",
> "order": 0
> },
> "settings": {
> "color": "#000000",
> "language": "en"
> }
>}'
1{
2 "isSuccess": true,
3 "responseText": "Success",
4 "responseData": "2325-XXXXXXX-90b1-4598-b6c7-44cdcbf495d7-1234"
5}

Generates a payment link for a bill from the bill ID. The vendor receives a secure page where they can select their preferred payment method (ACH, virtual card, or check) and complete the payment.

Was this page helpful?
Previous

Create payment link from invoice

Next

Get payment link

Authentication

requestTokenstring
API Key authentication via header

Path parameters

billIdintegerRequired
The Payabli ID for the bill.

Headers

idempotencyKeystringOptional

Optional but recommended A unique ID that you can include to prevent duplicating objects or transactions in the case that a request is sent more than once. This key isn’t generated in Payabli, you must generate it yourself. This key persists for 2 minutes. After 2 minutes, you can reuse the key if needed.

Query parameters

amountFixedbooleanOptionalDefaults to true

Indicates whether customer can modify the payment amount. A value of true means the amount isn’t modifiable, a value false means the payor can modify the amount to pay.

mail2stringOptional

List of recipient email addresses. When there is more than one, separate them by a semicolon (;).

Request

This endpoint expects an object.
contactUsobjectOptional
ContactUs section of payment link page.
logoobjectOptional
Logo section of payment link page.
messageBeforePayingobjectOptional
Message section of payment link page.
notesobjectOptional
Notes section of payment link page.
pageobjectOptional
Page header section of payment link page.
paymentButtonobjectOptional
Payment button section of payment link page.
paymentMethodsobjectOptional

Payment methods section of payment link page. Use this to configure which payout methods (ACH, vCard, check) are offered to the vendor.

reviewobjectOptional
Review section of payment link page.
billsobjectOptional
Bills section of payment link page.
settingsobjectOptional
Settings section of payment link page.

Response

Success
isSuccessboolean

Boolean indicating whether the operation was successful. A true value indicates success. A false value indicates failure.

responseTextstring

Response text for operation: ‘Success’ or ‘Declined’.

responseDatastring

If isSuccess = true, this contains the payment link identifier. If isSuccess = false, this contains the reason of the error.

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error